% definindo o sistema de EDO's
F = @(s,y) Exemplo(s,y);

% condicoes iniciais
t0 = 1;       % tempo inicial
x0 = 1;       % valor inicial

% parametros de resolucao
h = 0.1;      % passo inicial
Tol = 1e-3;   % erro maximo tolerado
tf = 5;       % tempo final

% aplicando o metodo RKF45 
[t,x] = RKF45(t0,tf,h,x0,F,Tol);

% representacao grafica do resultado
figure;
plot(t,x)
hold on

% aplicando o metodo RK4
t4 = [t0:h:tf]';
x4 = RK4(t0,tf,h,x0,F);

% representacao grafica do resultado
plot(t4,x4)

% comparando os resultados
length(x)    % iteracoes metodo RKF5
length(x4)